import type { App } from "@vuepress/core";
import type { BaseFeedOptions, FeedChannelOption, FeedLinks, FeedOptions } from "../shared";
export declare type ResolvedFeedOptions = BaseFeedOptions & {
    hostname: string;
};
export declare type ResolvedFeedOptionsMap = Record<string, ResolvedFeedOptions>;
export declare const ensureHostName: (options: Partial<FeedOptions>) => boolean;
export declare const checkOutput: (options: Partial<FeedOptions>) => boolean;
export declare const getFeedOptions: ({ siteData }: App, options: FeedOptions) => ResolvedFeedOptionsMap;
export declare const getFeedChannelOption: (app: App, options: FeedOptions, localePath?: string) => FeedChannelOption;
export declare const getFilename: (options: ResolvedFeedOptions, prefix?: string) => {
    atomOutputFilename: string;
    jsonOutputFilename: string;
    rssOutputFilename: string;
};
export declare const getFeedLinks: ({ options: { base } }: App, options: FeedOptions) => FeedLinks;
