"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.feedPlugin = void 0;
const utils_1 = require("@vuepress/utils");
const compact_1 = require("./compact");
const options_1 = require("./options");
const injectHead_1 = require("./injectHead");
const generator_1 = require("./generator");
const utils_2 = require("./utils");
const feedPlugin = (options, legacy = false) => (app) => {
    // TODO: Remove this in v2 stable
    if (legacy)
        (0, compact_1.convertOptions)(options);
    if (app.env.isDebug)
        utils_2.logger.info(`Options: ${options.toString()}`);
    const plugin = {
        name: "vuepress-plugin-feed2",
    };
    if (!(0, options_1.ensureHostName)(options)) {
        utils_2.logger.error(`Option ${utils_1.chalk.magenta("hostname")} is required!`);
        return plugin;
    }
    if (!(0, options_1.checkOutput)(options)) {
        utils_2.logger.info("No requested output, the plugin won’t start!");
        return plugin;
    }
    const feedOptions = (0, options_1.getFeedOptions)(app, options);
    return {
        ...plugin,
        onPrepared: (app) => (0, injectHead_1.injectLinkstoHead)(app, feedOptions),
        onGenerated: async (app) => {
            await new generator_1.FeedGenerator(app, feedOptions).generateFeed();
        },
    };
};
exports.feedPlugin = feedPlugin;
//# sourceMappingURL=plugin.js.map