"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FEED_GENERATOR = exports.getImageMineType = exports.resolveUrl = exports.resolveHTML = exports.compareDate = exports.logger = void 0;
const shared_1 = require("@vuepress/shared");
const vuepress_shared_1 = require("vuepress-shared");
exports.logger = new vuepress_shared_1.Logger("vuepress-plugin-feed2");
const compareDate = (dateA, dateB) => {
    if (!dateA || !(dateA instanceof Date))
        return 1;
    if (!dateB || !(dateB instanceof Date))
        return -1;
    return dateB.getTime() - dateA.getTime();
};
exports.compareDate = compareDate;
const resolveHTML = (html, customElements = []) => html
    // remove html class
    .replace(/ class=".*?"/gu, "")
    // remove v-pre
    .replace(/ v-pre/gu, "")
    // remove anchor
    .replace(/<a href="#.*?">.*?<\/a>/gu, "")
    // remove html comment
    .replace(/(<!--.*?--!?>)|(<!--[\S\s]+?--!?>)|(<!--[\S\s]*?$)/gu, "")
    // remove ExternalLinkIcon
    .replace(/<ExternalLinkIcon ?\/>/gu, "")
    // resolve RouterLink
    .replace(/<RouterLink to="(.*?)">(.*?)<\/RouterLink>/gu, '<a href="$1">$2</a>')
    // remove self-closed tags
    .replace(/<(?:a|div|span)[^>]*?\/>/gu, "")
    // remove other related tags
    .replace(new RegExp(`<(${customElements.join("|")})[^>]*?(?:>*?<\\/\\1>|\\/>)`, "gu"), "<i>Content not supported</i>")
    // remove tex
    .replace(/<math[\s\S]*?\/math>/gu, "<i>Content not supported</i>");
exports.resolveHTML = resolveHTML;
const resolveUrl = (hostname, base = "", path = "") => `${(0, shared_1.isLinkHttp)(hostname)
    ? (0, shared_1.removeEndingSlash)(hostname)
    : `https://${(0, shared_1.removeEndingSlash)(hostname)}`}${base}${(0, shared_1.removeLeadingSlash)(path)}`;
exports.resolveUrl = resolveUrl;
const getImageMineType = (ext = "") => `image/${ext === "jpg"
    ? "jpeg"
    : ext === "svg"
        ? "svg+xml"
        : ext === "jpeg" ||
            ext === "png" ||
            ext === "bmp" ||
            ext === "gif" ||
            ext === "webp"
            ? ext
            : ""}`;
exports.getImageMineType = getImageMineType;
exports.FEED_GENERATOR = "vuepress-plugin-feed2";
//# sourceMappingURL=utils.js.map